Disable synced connector for a target production account/project/site
You are able to remove access to connector version for specific accounts/projects/sites
Sign in to run requests against the CDE API.
Authorization
oAuth2AuthCode AuthorizationBearer <token>
In: header
Path Parameters
publicId*string
Format
uuidconnectorVersion*string
Major version number as an integer
- For 1.0.5 use
1 - For 2.5.6 use
2
You can also use latest for the latest version, or main for the currently main released version.
Match
^main|latest|\d+$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/access/prod/disable" \ -H "Content-Type: application/json" \ -d '{ "accounts": [ 777 ], "projects": [ 444 ], "sites": [ 666 ] }'{
"message": "Updated access.",
"resource": "connector-version",
"data": {
"name": "ankunding.com",
"description": null,
"readme": null,
"version": "1.0.0",
"logo": null,
"created-at": "2026-05-28T14:01:07+02:00",
"updated-at": "2026-05-28T14:01:07+02:00",
"deleted-at": null,
"state": "synchronized-to-dev",
"config": {
"update-progress": [],
"secret-registrations": [],
"authentication-registrations": [],
"authentication-registrations-additional-fields": [],
"application": null,
"vcs": null,
"docker": {
"image-name": null,
"image-tag": null,
"registry-url": null
},
"individuals": [],
"migration": null,
"execution": {
"execution-mode": "as-env-variables",
"container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
"docker-host": null,
"container-api": {
"image": null,
"version-constraint": "^9.9.9"
}
},
"export": null,
"data-service": null,
"datasource": null,
"buckets": [],
"feature-flags": [],
"container-api-config": null
},
"platform_dev_reference": {
"account": null,
"project": null,
"executable": null,
"platform-connector": null,
"site": null,
"site-processing-cluster": null,
"assigned-to-site": null,
"assigned-to-channel": null,
"assigned-to-channel-site": null,
"assigned-to-channel-site-destination": null,
"runtime": {
"environment": "cre",
"version": null
}
},
"platform_prod_reference": {
"executable": null,
"platform-connector": 28,
"target-accounts": [
789,
987,
777
],
"target-projects": [
321,
654,
444
],
"target-sites": [
123,
456,
666
],
"enabled-for-accounts": [
789,
987
],
"enabled-for-projects": [
321,
654
],
"enabled-for-sites": [
123,
456
],
"assigned-to-sites": [],
"released": false,
"version": null,
"runtime": {
"environment": "cre",
"version": null
}
},
"prod_config": null,
"dev_config": null
}
}{
"message": "Bad request.",
"errors": {
"sites": "Site 333 does not belong to target list and you can not disable access to it. Site 222 does not belong to target list and you can not disable access to it.",
"accounts": "Account 999 does not belong to target list and you can not disable access to it. Account 888 does not belong to target list and you can not disable access to it.",
"projects": "Project 555 does not belong to target list and you can not disable access to it."
}
}{
"message": "You have to be authorized to access this resource."
}{
"message": "Access denied for user."
}{
"message": "Connector not found."
}How is this guide?